/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "TraDemGen", "index.html", [
    [ "TraDemGen Documentation", "index.html", "index" ],
    [ "People", "a02137.html", [
      [ "Project Admins (and Developers)", "a02137.html#admins", null ],
      [ "Retired Developers", "a02137.html#retired", null ],
      [ "Contributors", "a02137.html#contributors", null ],
      [ "Distribution Maintainers", "a02137.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a02138.html", [
      [ "Default Naming Rules for Variables", "a02138.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a02138.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a02138.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a02138.html#cr_files", null ],
      [ "Default Functionality of Classes", "a02138.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a02139.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a02139.html#gnugpl", [
        [ "Version 2.1, February 1999", "a02139.html#version", null ]
      ] ],
      [ "Preamble", "a02139.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a02139.html#terms", [
        [ "NO WARRANTY", "a02139.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a02139.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a02139.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a02140.html", [
      [ "General Rules", "a02140.html#doc_general", null ],
      [ "File Header", "a02140.html#doc_header", null ],
      [ "Grouping Various Parts", "a02140.html#doc_groups", null ]
    ] ],
    [ "Main features", "a02141.html", [
      [ "Demand generation", "a02141.html#ft_demand_generation", null ],
      [ "Other features", "a02141.html#ft_others", null ]
    ] ],
    [ "Make a Difference", "a02142.html", null ],
    [ "Make a new release", "a02143.html", [
      [ "Introduction", "a02143.html#description", null ],
      [ "Initialisation", "a02143.html#initialisation", null ],
      [ "Release branch maintenance", "a02143.html#branch_creation", null ],
      [ "Commit and publish the release branch", "a02143.html#branch_publish", null ],
      [ "Create distribution packages", "a02143.html#create_packages", null ],
      [ "Upload the HTML documentation to SourceForge", "a02143.html#upload_doc", null ],
      [ "Generate the RPM packages", "a02143.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a02143.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a02143.html#create_bin_packages", null ],
      [ "Upload the files to SourceForge", "a02143.html#upload_files", null ],
      [ "Make a new post", "a02143.html#post_news", null ],
      [ "Send an email on the announcement mailing-list", "a02143.html#send_announce", null ]
    ] ],
    [ "Installation", "a02144.html", [
      [ "Table of Contents", "a02144.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a02144.html#rpm_linux", null ],
      [ "TraDemGen Requirements", "a02144.html#requirements", null ],
      [ "Basic Installation", "a02144.html#basic_instructions", null ],
      [ "Compilers and Options", "a02144.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a02144.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a02144.html#installation_names", null ],
      [ "Optional Features", "a02144.html#optional_features", null ],
      [ "Particular systems", "a02144.html#particular_systems", null ],
      [ "Specifying the System Type", "a02144.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a02144.html#sharing_defaults", null ],
      [ "Defining Variables", "a02144.html#defining_variables", null ],
      [ "‘cmake’ Invocation", "a02144.html#cmake_invocation", null ]
    ] ],
    [ "Linking with TraDemGen", "a02145.html", [
      [ "Introduction", "a02145.html#intro", null ],
      [ "Using the pkg-config command", "a02145.html#pkgconfig", null ],
      [ "Using the trademgen-config script", "a02145.html#trademgen_config", null ],
      [ "M4 macro for the GNU Autotools", "a02145.html#autotools", null ],
      [ "Using TraDemGen with dynamic linking", "a02145.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a02146.html", [
      [ "The Test Source Files", "a02146.html#test_source", null ],
      [ "The Reference File", "a02146.html#reference_file", null ],
      [ "Testing TraDemGen Library", "a02146.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a02147.html", [
      [ "Table of Contents", "a02147.html#ug_toc", null ],
      [ "Introduction", "a02147.html#ug_introduction", null ],
      [ "Get Started", "a02147.html#ug_get_started", [
        [ "Get the TraDemGen library", "a02147.html#ug_get_source", null ],
        [ "Build the TraDemGen project", "a02147.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a02147.html#ug_build_and_run_tests", null ],
        [ "Install the TraDemGen Project (Binaries, Documentation)", "a02147.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a02147.html#ug_bom_tree", [
        [ "Demand Stream Engine BOM Tree", "a02147.html#ug_bom_demand_stream", null ]
      ] ],
      [ "Extending the BOM Tree", "a02147.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a02148.html", [
      [ "TraDemGen 3.10.x", "a02148.html#trademgen_3_10", [
        [ "Linux Systems", "a02148.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a02148.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a02148.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a02148.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a02148.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a02148.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with TraDemGen External", "a02148.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a02148.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a02148.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a02148.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a02148.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a02148.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a02148.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a02148.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and TraDemGen External", "a02148.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a02148.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a02148.html#unix", [
          [ "SunOS 5.9 with TraDemGen External", "a02148.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "TraDemGen Supported Systems (Previous Releases)", "a02149.html", [
      [ "TraDemGen 3.9.1", "a02149.html#trademgen_3_9_1", null ],
      [ "TraDemGen 3.9.0", "a02149.html#trademgen_3_9_0", null ],
      [ "TraDemGen 3.8.1", "a02149.html#trademgen_3_8_1", null ]
    ] ],
    [ "Tutorials", "a02150.html", [
      [ "Table of Contents", "a02150.html#tut_toc", null ],
      [ "Introduction", "a02150.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a02150.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a02150.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a02150.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a02150.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a02150.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a02150.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a02150.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a02150.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a02150.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a02150.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a02150.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a02150.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Test to Demonstrate How To Use TraDemGen elements", "a02151.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a00225.html#a9799b76c9ecf2cdfc7ac4ab332fdaf5c",
"a01096.html#a11dd00f8dad56dc1bbf2cbaaf21d9d86",
"a01120.html#a089f48f6d8b18145c2e34edf0f97e9e0",
"a01244.html",
"a01288.html#ad48ae977fb6fa9279b41b0cc136a628a"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';